CREATE TABLE IF NOT EXISTS weekly_reports (
  report_id INTEGER PRIMARY KEY AUTOINCREMENT,
  user_id INTEGER NOT NULL,
  project_id INTEGER NOT NULL,
  week INTEGER NOT NULL,
  development_time INTEGER,
  meeting_time INTEGER,
  admin_time INTEGER,
  own_work_time INTEGER,
  study_time INTEGER,
  testing_time INTEGER,
  signed_by INTEGER,
  UNIQUE(user_id, project_id, week),
  FOREIGN KEY (user_id) REFERENCES users(id),
  FOREIGN KEY (project_id) REFERENCES projects(id),
  FOREIGN KEY (signed_by) REFERENCES users(id)
);